import {getFormTmp} from "./getFormTmp";
import {getFormDTO} from "./getFormDTO";

const fs = require('fs');

export const createForm = (essenceData, essencePath) => {
    const essenceName = essenceData.name
    const formTmpText = getFormTmp(essenceData)
    const dtoTmpText = getFormDTO(essenceData)

    if (formTmpText) {
        fs.writeFileSync(`${essencePath}/${essenceName}FormDto.ts`, formTmpText, (err) => {
            if (err) throw err;
        });
    }

    if (formTmpText) {
        fs.writeFileSync(`${essencePath}/${essenceName}Dto.ts`, dtoTmpText, (err) => {
            if (err) throw err;
        });
    }

}
