import {getFullName, getFuncName} from "../../helper/getFuncName";

export const getFormTmp = (essence) => {
    let formText = '';
    let appendData = '';


    essence.item.map((apiItem) => {
        if(!apiItem.item && apiItem.request.method === "POST" && apiItem.request.body.mode === "formdata"){
            apiItem.request.body.formdata.map((appendDataItem) =>{
                if(appendDataItem.key.indexOf("[]") === -1){
                    appendData += `
    data.append('${appendDataItem.key}', props.${appendDataItem.key});`
                } else {
                    appendData += `

    for (let i = 0; i < props.${appendDataItem.key.replace("[]","")}.length; i++) {
        data.append('${appendDataItem.key}', props.${appendDataItem.key.replace("[]","")}[i]);
    }
`
                }

            });
        }

        //проверка чтобы не было вложенностей, сказать бэкам чтобы не делали вложенностей
        if (!apiItem.item) {
            apiItem.request.method === "POST" && apiItem.request.body.mode === "formdata" ?
                formText = `
export default class ${getFullName(apiItem.request.url.raw.replace("{{hostUrl}}/api/", ""))}FormDataDto {
    static ${getFuncName(apiItem.request.url.raw.replace("{{hostUrl}}/api/", ""))}FormData(props){
    const data = new FormData();
    ${appendData}
         
    return data;
    }
}
` : false
        }
    })

    return formText
}
