export const getStoreTmp = (essenceName) => `import { action, makeAutoObservable } from 'mobx';
import ${essenceName}Service from './${essenceName}Service';

export class ${essenceName}Store {
  ${essenceName.toLowerCase()}InitialLoader: boolean = true;
  ${essenceName.toLowerCase()}Loader: boolean = false;
  
  private authService: ${essenceName}Service;

  constructor() {
    makeAutoObservable(this);
    this.authService = new ${essenceName}Service();
  }
  
  
  setLoading = (value: boolean) => {
    this.${essenceName.toLowerCase()}Loader = value;
  };

  setInitialLoading = (value: boolean) => {
    this.${essenceName.toLowerCase()}InitialLoader = value;
  };
}

`
